Bug 46975 - Instant crash when using mouse wheel in input bar
Summary: Instant crash when using mouse wheel in input bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 RC1
Hardware: x86-64 (AMD64) Windows (All)
: medium critical
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: target:3.6.0 target:3.5.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-05 08:39 UTC by daniel.schaaaf
Modified: 2012-04-05 08:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.schaaaf 2012-03-05 08:39:01 UTC
Make a new Calc sheet and put a formula into cell A1 (e.g. "=A2").
As soon as the mouse cursor is hovering over the input bar and the mouse wheel is being turned up/down, Calc crashes!
This only happens with a formula inside the input bar. Calc does not crash with text or numbers ...
Comment 1 Not Assigned 2012-03-05 16:27:50 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77a517a467b3aa944e31b170162518f70da3793d

don't crash when scrolling in input line, fdo#46975
Comment 2 daniel.schaaaf 2012-03-06 00:52:42 UTC
That was quick!
Hope to see it in the next release :-)
Thank you!
Comment 3 Not Assigned 2012-03-06 01:39:36 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0dfd481888abcb14b601ca039692e9d83c1be19a&g=libreoffice-3-5

don't crash when scrolling in input line, fdo#46975


It will be available in LibreOffice 3.5.2.
Comment 4 Rainer Bielefeld Retired 2012-04-05 08:11:46 UTC
I added Fix submitter as assignee because this will ease queries and bug tracking.